Have a (live updated?) Zotero translator status page (on citoid.wikimedia.org?), which indicates which translators are currently working with citoid
Closed, ResolvedPublic0 Story Points

Description

Per https://www.mediawiki.org/w/index.php?title=Topic:T1ld3za1xa1e8066&topic_showPostId=t3ldp53n9c0vjz8w#flow-post-t3ldp53n9c0vjz8w

It would be useful to have a page that shows which Zotero translators are currently working (or not) with Citoid so we can help diagnose and fix the issues

czar created this task.Jun 9 2016, 5:02 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 9 2016, 5:02 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Translator compatibility indicator to Have a (live updated?) Zotero translator status page (on citoid.wikimedia.org?), which indicates which translators are currently working with citoid.Jul 26 2016, 7:25 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from To Triage to Backlog on the VisualEditor board.
Mvolz lowered the priority of this task from Normal to Low.Jul 29 2016, 2:54 PM
Mvolz raised the priority of this task from Low to Normal.
Mvolz added a subscriber: Mvolz.Jul 29 2016, 3:01 PM

Zotero used to have this... it's been down for more than a year now:

https://www.mediawiki.org/wiki/Citoid/Determining_if_a_URL_has_a_translator_in_Zotero

https://groups.google.com/forum/#!searchin/zotero-dev/mvolz%7Csort:relevance/zotero-dev/gS-ox9OBLCE/EmBTODvHCwAJ

Trust me, these WERE really nice when they were up :). I'm not sure how we can help to get them running again...

czar added a comment.EditedJul 29 2016, 5:14 PM

I've lost track of the GitHub threads, but wasn't there a place where someone said it was back in consideration? Or perhaps a similar tool?

An alternative to this proposal could be just including the name of the active translator in the Zotero Translation Server results (if not the specific Citoid implementation) so that users can confirm that the right translator is being called. Not sure if there's a better way of doing that. I don't know whether my original proposal is really needed only because it seems like everything save for a handful is actively synched so we'd only need to know (1) which translators were excluded from the sync, and (2) the time of the last sync with the Zotero branch (if it isn't always kept in sync).

Mvolz added a comment.Sep 30 2016, 2:54 PM

FYI the Zotero one is back up.

https://zotero-translator-tests.s3.amazonaws.com/index.html

Another thing that might help is that responses now include the metadata source in the source field, so you can tell if any given response is coming from a zotero translator or not:

See:

https://citoid.wikimedia.org/api?format=mediawiki&search=example.com

vs.

https://citoid.wikimedia.org/api?format=mediawiki&search=http%3A%2F%2Flink.springer.com%2Fchapter%2F10.1007%2F11926078_68

Does this resolve the issue?

Mvolz lowered the priority of this task from Normal to Low.Oct 14 2016, 1:41 PM
czar closed this task as Resolved.Jul 12 2017, 2:11 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 12 2017, 2:11 PM
Jdforrester-WMF set the point value for this task to 0.Jul 14 2017, 11:20 PM
Jdforrester-WMF moved this task from Backlog to External and Administrivia on the VisualEditor board.